Bug 183216 - rhnpush should use header fields to determine when it's communicating with and older satellite
rhnpush should use header fields to determine when it's communicating with an...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-02-27 10:29 EST by John Wregglesworth
Modified: 2013-02-26 19:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-23 13:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-02-27 10:29:02 EST
Description of problem: rhnpush needed a way to tell when it was communicating
with an older satellite when I added session-token support. Unfortunately, I
decided to use a try-catch around an XML-RPC call to tell when I was
communicating with an older satellite. This will cause a traceback on the
satellite if the --no-session-caching option isn't used. This is annoying.

rhnpush should look for the existence of a header field to determine what
version of satellite it's communicating with. It would then be able to use the
existence and possible the value of the field to determine how it should
communicate with the satellite it's pointed at.

This will require a server-side change that will add a field to the header of
the response generated by a ping request. It will also require a client-side
change where rhnpush will look for the new header field to figure out which set
of XMLRPC calls to use.
Comment 1 Bret McMillan 2006-02-27 11:40:55 EST
How is this any different than a server-capability that's delivered on the ping

Keeping this one on -triage for now...
Comment 2 John Wregglesworth 2006-02-27 12:09:26 EST
It's not really, that I can see. I talked to pkilambi about it a few days ago
and this is what he's doing for another rhnpush bug. It seemed sane and would
fix a problem with another section of code that I wrote, so I filed a bug so I
could implement it.
Comment 3 John Wregglesworth 2006-03-16 17:54:28 EST
Re-aligning against rhn420-triage.

Note You need to log in before you can comment on or make changes to this bug.